# Method: adBreak.networks.customAssets.adBreaks.patch

- [HTTP request](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.customAssets.adBreaks/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.customAssets.adBreaks/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.customAssets.adBreaks/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.customAssets.adBreaks/patch#body.request_body)
- [Response body](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.customAssets.adBreaks/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.customAssets.adBreaks/patch#body.aspect)

API to update an Ad Break within the live stream.

### HTTP request

`PATCH https://admanagervideo.googleapis.com/v1/adBreak/{adBreak.name=networks/*/customAssets/*/adBreaks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `adBreak.name` | `string` Output only. The resource name of the Ad Break. This field will have the format of "networks//assets//adBreaks/". network_code is the network code in Google Ad Manager to which this content belongs. asset_key is the key of the Live Stream Event in Google Ad Manage under which the Ad Break was created. adBreakId is the key of the Ad Break. OUTPUT ONLY. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.assets.adBreaks#AdBreak`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.assets.adBreaks#AdBreak`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contentingestion`
- `
  https://www.googleapis.com/auth/video-ads`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).